import type { APIGatewayProxyStructuredResultV2, APIGatewayProxyEventV2WithLambdaAuthorizer, Context } from 'aws-lambda';
import type { AxiosRequestConfig, AxiosResponse } from 'axios';
import type { Runner, Operation } from 'openapi-client-axios';
export declare const getLambdaRunner: (targetFunctionName: string, crtLambdaContext?: Context) => Runner;
export interface LambdaRunnerAuthContext {
    'lambda-invoke': true;
    callerIdentity: string;
}
export declare const convertAxiosToApiGw: (config: AxiosRequestConfig, operation: Operation, crtLambdaContext?: Context) => APIGatewayProxyEventV2WithLambdaAuthorizer<LambdaRunnerAuthContext>;
export declare const convertApiGwToAxios: (resp: APIGatewayProxyStructuredResultV2, axiosConfig: AxiosRequestConfig) => AxiosResponse<any, any>;
